Theme
Vidu task query
Query Vidu task status and results.
http
GET /vidu/ent/v2/task/video_abc123/creationsHeaders
| Name | Type | Required | Description |
|---|---|---|---|
| string | Yes | Request authentication. Use a Bearer Token, for example: . |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
| string | Yes | Task ID. The returned when the task was created. |
Request example
bash
curl -X GET https://octopusx.ai/vidu/ent/v2/task/48038932-0ff5-4251-8b4b-7a76c09fd114/creations \
-H "Authorization: Bearer <token>"Response example
json
{
"id": "48038932-0ff5-4251-8b4b-7a76c09fd114",
"status": "completed",
"video_url": "https://example.com/video/aigcVideoGenFile.mp4",
"status_update_time": 1774494622
}Response fields
| Name | Type | Description |
|---|---|---|
| string | Task ID. | |
| string | Task status. Options: (in progress), (completed), (failed). | |
| string | Video download URL (returned only when status is ). | |
| integer | Status update timestamp (Unix timestamp). |